package com.example.doctor.Adapter

import androidx.fragment.app.Fragment
import androidx.fragment.app.FragmentActivity
import androidx.viewpager2.adapter.FragmentStateAdapter

class VpAdapter(fr_act:FragmentActivity, private val list:List<Fragment>):FragmentStateAdapter(fr_act) {//private val list:List<Fragment> - список с фрагментами сюда передастся, тоесть с двумя фрагментами
    //Возврощаем для createFragment количество элементов(фрагментов) в листе(List)
    override fun getItemCount(): Int {
        return list.size//возврощаем количество фрагметов
    }

    //Позиция фрагмента или 1 или 2, то есть 0 или 1. И по позиции будут выводится фрагмент.
    override fun createFragment(position: Int): Fragment {
        return list[position]//Возврощаем фрагмент из листа по позиции
    }
}